Subject: Re: Repost: Re: [VLAN]: translate IF_OPER_DORMANT to netif_dormant_on()

From: Patrick McHardy <[email-masked]>
Date: Wed, 12 Jul 2006 08:50:07 +0200

Stefan Rompf wrote:
> the following patch should fix the problem. Patrick, can you give it a
> try? As the bug did not affect me through my testing, I want to be sure it
> works now. This is stuff for 2.6.18 and 2.6.17-stable.

I'm on my way out the door and will be gone for a couple of days,
so its going to take me a while. But it looks fine, if you want
to test it yourself, just pull the ethernet cable before adding
a VLAN and plug it in again afterwards.